### Class

# Foundry DoapFile

#### Description

    final class Foundry.DoapFile : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### foundry_doap_file_new_from_bytes

No description available.

since: 1.1

###### foundry_doap_file_new_from_file

No description available.

#### Functions

###### foundry_doap_file_error_quark

No description available.

#### Instance methods

###### foundry_doap_file_get_bug_database

No description available.

###### foundry_doap_file_get_category

No description available.

###### foundry_doap_file_get_description

No description available.

###### foundry_doap_file_get_download_page

No description available.

###### foundry_doap_file_get_homepage

No description available.

###### foundry_doap_file_get_languages

No description available.

###### foundry_doap_file_get_maintainers

No description available.

###### foundry_doap_file_get_name

No description available.

###### foundry_doap_file_get_shortdesc

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DoapFile:bug-database

No description available.

###### Foundry.DoapFile:category

No description available.

###### Foundry.DoapFile:description

No description available.

###### Foundry.DoapFile:download-page

No description available.

###### Foundry.DoapFile:homepage

No description available.

###### Foundry.DoapFile:languages

No description available.

###### Foundry.DoapFile:name

No description available.

###### Foundry.DoapFile:shortdesc

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDoapFileClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.